<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-cabang-heading" data-cy="CabangCreateUpdateHeading">Create or edit a Cabang</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_kode">Kode</label>
          <input type="text" class="form-control" name="kode" id="field_kode" data-cy="kode" formControlName="kode" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nama">Nama</label>
          <input type="text" class="form-control" name="nama" id="field_nama" data-cy="nama" formControlName="nama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_alamat">Alamat</label>
          <input type="text" class="form-control" name="alamat" id="field_alamat" data-cy="alamat" formControlName="alamat" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kota">Kota</label>
          <input type="text" class="form-control" name="kota" id="field_kota" data-cy="kota" formControlName="kota" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_provinsi">Provinsi</label>
          <input type="text" class="form-control" name="provinsi" id="field_provinsi" data-cy="provinsi" formControlName="provinsi" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pengadilanNegeri">Pengadilan Negeri</label>
          <input
            type="text"
            class="form-control"
            name="pengadilanNegeri"
            id="field_pengadilanNegeri"
            data-cy="pengadilanNegeri"
            formControlName="pengadilanNegeri"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noKontak">No Kontak</label>
          <input type="text" class="form-control" name="noKontak" id="field_noKontak" data-cy="noKontak" formControlName="noKontak" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_recordStatus">Record Status</label>
          <input
            type="number"
            class="form-control"
            name="recordStatus"
            id="field_recordStatus"
            data-cy="recordStatus"
            formControlName="recordStatus"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_startDate">Start Date</label>
          <div class="input-group">
            <input
              id="field_startDate"
              data-cy="startDate"
              type="text"
              class="form-control"
              name="startDate"
              ngbDatepicker
              #startDateDp="ngbDatepicker"
              formControlName="startDate"
            />
            <button type="button" class="btn btn-secondary" (click)="startDateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_leasing">Leasing</label>
          <select
            class="form-control"
            id="field_leasing"
            data-cy="leasing"
            name="leasing"
            formControlName="leasing"
            [compareWith]="compareLeasing"
          >
            <option [ngValue]="null"></option>
            @for (leasingOption of leasingsSharedCollection; track $index) {
              <option [ngValue]="leasingOption">{{ leasingOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
